Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.soa.esb.actions.routing.http
Enum ResponseType

    java.lang.Object
      java.lang.Enum<ResponseType>
          org.jboss.soa.esb.actions.routing.http.ResponseType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ResponseType>

    public enum ResponseType

extends java.lang.Enum<ResponseType>

Http Response type.

Response payload mime ('ish) type enumeration.

Author:
  tom.fennelly@jboss.com

Enum Constant Summary
`BYTES`
`STRING`

Method Summary
`static ResponseType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ResponseType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STRING

    public static final ResponseType STRING

### BYTES

    public static final ResponseType BYTES

Method Detail

### values

    public static final ResponseType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ResponseType c : ResponseType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ResponseType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD